{
  "type": "extendedcrafting:shaped_table",
  "pattern": [
    "ABCDCBA",
    "BEFGFEB",
    "HGGIGGH",
    "DJGKGJD",
    "HLMMMLH",
    "BELLLEB",
    "ABCDCBA"
  ],
  "key": {
    "A": {
      "item": "minecraft:iron_block"
    },
    "B": {
      "item": "boss_tools:compressed_steel"
    },
    "C": {
      "tag": "forge:plates/iron"
    },
    "D": {
      "tag": "forge:storage_blocks/steel"
    },
    "E": {
      "item": "thermal:signalum_gear"
    },
    "F": {
      "item": "thermal:energy_cell"
    },
    "G": {
      "item": "pneumaticcraft:pressure_tube"
    },
    "H": {
      "item": "thermal:signalum_glass"
    },
    "I": {
      "item": "thermal:upgrade_augment_1"
    },
    "J": {
      "item": "pneumaticcraft:pressure_gauge"
    },
    "K": {
      "item": "pneumaticcraft:gas_lift"
    },
    "L": {
      "item": "pneumaticcraft:medium_tank"
    },
    "M": {
      "item": "pneumaticcraft:drill_pipe"
    }
  },
  "result": {
    "item": "boss_tools:iron_tank"
  }
}